# wpesrc

Creates Audio/Video streams from a web page using WPE web engine

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──wpesrc

## Implemented interfaces

    GstChildProxy
    GstURIHandler

## Factory details

Authors: – Philippe Normand , Žan Doberšek

Classification: – `Source/Video/Audio`

Rank – none

Plugin – wpe

Package – gst-plugins-bad

## Pad Templates

### `audio_%u`

    audio/x-raw:
             format: F32LE
               rate: [ 1, 2147483647 ]
           channels: [ 1, 2147483647 ]
             layout: interleaved
    audio/x-raw:
             format: F64LE
               rate: [ 1, 2147483647 ]
           channels: [ 1, 2147483647 ]
             layout: interleaved
    audio/x-raw:
             format: S16LE
               rate: [ 1, 2147483647 ]
           channels: [ 1, 2147483647 ]
             layout: interleaved

Presence – sometimes

Direction – src

Object type – GstPad

### `src`

    video/x-raw(memory:GLMemory):
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
    pixel-aspect-ratio: 1/1
     texture-target: 2D
    video/x-raw:
             format: BGRA

Presence – always

Direction – src

Object type – GstPad

### `video`

    video/x-raw(memory:GLMemory):
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
    pixel-aspect-ratio: 1/1
     texture-target: 2D
    video/x-raw:
             format: BGRA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]
    pixel-aspect-ratio: 1/1

Presence – always

Direction – src

Object type – GstPad

## Signals

### configure-web-view

    configure_web_view_callback (GstElement * param_0,
                                 GObject * arg0,
                                 gpointer udata)

    def configure_web_view_callback (param_0, arg0, udata):
        #python callback for the 'configure-web-view' signal

    function configure_web_view_callback(param_0: GstElement * param_0, arg0: GObject * arg0, udata: gpointer udata): {
        // javascript callback for the 'configure-web-view' signal
    }

Parameters:

`param_0` –
No description available
`arg0` –
No description available
`udata` –
No description available

Flags: Run Last

## Action Signals

### load-bytes

    g_signal_emit_by_name (param_0, "load-bytes", arg0);

    ret = param_0.emit ("load-bytes", arg0)

    let ret = param_0.emit ("load-bytes", arg0);

Parameters:

`param_0` (GstElement *) –
No description available
`arg0` (GBytes *) –
No description available

Flags: Run Last / Action

### run-javascript

    g_signal_emit_by_name (param_0, "run-javascript", arg0);

    ret = param_0.emit ("run-javascript", arg0)

    let ret = param_0.emit ("run-javascript", arg0);

Parameters:

`param_0` (GstElement *) –
No description available
`arg0` (gchararray) –
No description available

Flags: Run Last / Action

## Properties

### draw-background

    “draw-background” gboolean

Whether to draw the WebView background

Flags : Read / Write

Default value : true

### location

    “location” gchararray

The URL to display

Flags : Read / Write

Default value : about:blank

The results of the search are